Class Index | File Index

## Classes

- _global_
- Boolean
- Date
- exports.searchUtils
- Object
- orion.breadcrumbs.BreadCrumbs
- orion.cm.Configuration
- orion.cm.ConfigurationAdmin
- orion.cm.ConfigurationProperties
- orion.cm.ManagedService
- orion.commands.Command
- orion.commands.CommandKeyBinding
- orion.commands.CommandParameter
- orion.commands.CommandService
- orion.commands.ParametersDescription
- orion.commands.URLBinding
- orion.compare.DiffProvider
- orion.compare.rulers.CompareRuler
- orion.compare.rulers.LineNumberCompareRuler
- orion.compareUtils
- orion.contentAssist.CssContentAssistProvider
- orion.contentAssist.HTMLContentAssistProvider
- orion.core.ContentType
- orion.core.ContentTypeService
- orion.Deferred
- orion.dialogs.DialogService
- orion.DiffTreeNavigator.DiffTreeNavigator
- orion.DiffTreeNavigator.inlineDiffBlockFeeder
- orion.DiffTreeNavigator.TwoWayDiffBlockFeeder
- orion.edit.Dispatcher
- orion.editor.ActionDescription
- orion.editor.Annotation
- orion.editor.AnnotationIterator
- orion.editor.AnnotationModel
- orion.editor.AnnotationRuler
- orion.editor.AnnotationStyler
- orion.editor.AnnotationType
- orion.editor.AnnotationTypeList
- orion.editor.AsyncStyler
- orion.editor.BlurEvent
- orion.editor.ContentAssist
- orion.editor.ContentAssistMode
- orion.editor.ContentAssistProvider
- orion.editor.ContentAssistProvider.Context
- orion.editor.ContentAssistWidget
- orion.editor.ContextMenuEvent
- orion.editor.DestroyEvent
- orion.editor.EditOptions
- orion.editor.Editor
- orion.editor.EventTarget
- orion.editor.FindIterator
- orion.editor.FindOptions
- orion.editor.FocusEvent
- orion.editor.FoldingAnnotation
- orion.editor.JSTemplateContentAssistProvider
- orion.editor.KeyBinding
- orion.editor.LineNumberRuler
- orion.editor.LineStyleEvent
- orion.editor.ModelChangedEvent
- orion.editor.ModelChangingEvent
- orion.editor.ModifyEvent
- orion.editor.OverviewRuler
- orion.editor.Projection
- orion.editor.ProjectionTextModel
- orion.editor.regex
- orion.editor.Ruler
- orion.editor.ScrollEvent
- orion.editor.Selection
- orion.editor.SelectionEvent
- orion.editor.Style
- orion.editor.StyleRange
- orion.editor.StyleReadyEvent
- orion.editor.StyleReadyEvent#LineStyle
- orion.editor.TextMateStyler
- orion.editor.TextModel
- orion.editor.TextView
- orion.editor.TextViewOptions
- orion.editor.UndoStack
- orion.editor.VerifyEvent
- orion.EventTarget
- orion.explorer.Explorer
- orion.explorer.ExplorerFlatModel
- orion.explorer.ExplorerModel
- orion.explorer.SelectionRenderer
- orion.ExplorerNavHandler.ExplorerNavDict
- orion.explorers.explorer-table.FileExplorer
- orion.explorers.ExplorerNavHandler.ExplorerNavHandler
- orion.extensionCommands
- orion.favorites.FavoritesService
- orion.fileClient.FileClient
- orion.fileCommands
- orion.fileUtils
- orion.form
- orion.git.GitCommitExplorer
- orion.git.GitLogExplorer
- orion.git.GitRepositoryExplorer
- orion.git.GitReviewRequestExplorer
- orion.git.GitService
- orion.git.GitStatusExplorer
- orion.git.widgets.OpenCommitDialog
- orion.globalCommands
- orion.highlight.SyntaxHighlighter
- orion.links.TextLinkService
- orion.log.LogService
- orion.metatype.AttributeDefinition
- orion.metatype.MetaTypeRegistry
- orion.metatype.ObjectClassDefinition
- orion.mirror.CodeMirrorStyler
- orion.mirror.Mirror
- orion.mirror.MirrorLineStyle
- orion.mirror.ModeApplier
- orion.navoutliner.NavigationOutliner
- orion.objects
- orion.operation
- orion.outliner.Outliner
- orion.outliner.OutlineService
- orion.PageLinks
- orion.parameterCollectors.CommandParameterCollector
- orion.pluginregistry.Plugin
- orion.pluginregistry.PluginRegistry
- orion.preferences.Preferences
- orion.preferences.PreferencesService
- orion.problems.ProblemService
- orion.profile.usersClient.UsersClient
- orion.progress.ProgressService
- orion.Promise
- orion.searchClient.Searcher
- orion.searches.SavedSearches
- orion.Searches.SearchList
- orion.searchResults.SearchResultsGenerator
- orion.selection.Selection
- orion.serviceregistry.ServiceReference
- orion.serviceregistry.ServiceRegistration
- orion.serviceregistry.ServiceRegistry
- orion.ServiceTracker
- orion.settings.Setting
- orion.settings.SettingsRegistry
- orion.shell.Command
- orion.shell.Parameter
- orion.shell.ParameterType
- orion.shell.Shell
- orion.sites.SiteClient
- orion.sites.SiteConfiguration
- orion.sites.SiteEditor
- orion.sites.SiteService
- orion.sites.ViewOnSiteTree
- orion.status.StatusReportingService
- orion.tasks.TaskList
- orion.TreeModelIterator.TreeModelIterator
- orion.treetable.TableTree
- orion.uiUtils
- orion.URITemplate
- orion.util
- orion.webui.dialogs.OpenResourceDialog
- orion.webui.dialogs.OperationsDialog
- orion.widgets.Section
- orion.widgets.settings.SplitSelectionLayout
- orion.xhr
- orion.xhr.Result
- String

# Class orion.editor.UndoStack

The UndoStack is used to record the history of a text model associated to an view. Every change to the model is added to stack, allowing the application to undo and redo these changes.

See:
orion.editor.TextView

Defined in: </shared/eclipse/e4/orion/I201302221257/plugins/org.eclipse.orion.client.editor/web/orion/editor/undoStack.js>.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| orion.editor.UndoStack(view, size) Constructs a new UndoStack on a text view.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| add(change) Adds a change to the stack.
| canRedo() Returns true if there is at least one change to redo.
| canUndo() Returns true if there is at least one change to undo.
| endCompoundChange() Finishes a compound change.
| getSize() Returns the sizes of the stack.
| isClean() Returns true if current state of stack is the same as the state when markClean() was called.
| markClean() Marks the current state of the stack as clean.
| redo() Redo the last change in the stack.
| reset() Reset the stack to its original state.
| startCompoundChange() Starts a compound change.
| undo() Undo the last change in the stack.

Class Detail
orion.editor.UndoStack(view, size)
Constructs a new UndoStack on a text view.

Parameters:
{orion.editor.TextView} view
  the text view for the undo stack.
{Number} size Optional, Default: 100
  the size for the undo stack.

Method Detail
add(change)
Adds a change to the stack.

Parameters:
change
  the change to add.
{Number} change.offset
  the offset of the change
{String} change.text
  the new text of the change
{String} change.previousText
  the previous text of the change

{Boolean} canRedo()
Returns true if there is at least one change to redo.

Returns:
  {Boolean} returns true if there is at least one change to redo.

See:
  #canUndo
  #redo

{Boolean} canUndo()
Returns true if there is at least one change to undo.

Returns:
  {Boolean} returns true if there is at least one change to undo.

See:
  #canRedo
  #undo

endCompoundChange()
Finishes a compound change.

See:
  #startCompoundChange

{object} getSize()
Returns the sizes of the stack.

Returns:
  {object} a object where object.undo is the number of changes that can be un-done, and object.redo is the number of changes that can be re-done.

See:
  #canUndo
  #canRedo

{Boolean} isClean()
Returns true if current state of stack is the same as the state when markClean() was called.

For example, the application calls markClean(), then calls undo() four times and redo() four times. At this point isClean() returns true.

This function is typically called to determine if the content of the view associated with the stack has changed since the last time it was saved.

Returns:
  {Boolean} returns if the state is the same as the state when markClean() was called.

See:
  #markClean

markClean()
Marks the current state of the stack as clean.

This function is typically called when the content of view associated with the stack is saved.

See:
  #isClean

{Boolean} redo()
Redo the last change in the stack.

Returns:
  {Boolean} returns true if a change was re-done.

See:
  #undo
  #canRedo

reset()
Reset the stack to its original state. All changes in the stack are thrown away.

startCompoundChange()
Starts a compound change.

All changes added to stack from the time startCompoundChange() is called to the time that endCompoundChange() is called are compound on one change that can be un-done or re-done with one single call to undo() or redo().

See:
  #endCompoundChange

{Boolean} undo()
Undo the last change in the stack.

Returns:
  {Boolean} returns true if a change was un-done.

See:
  #redo
  #canUndo

Documentation generated by JsDoc Toolkit 2.4.0 on Fri Feb 22 2013 13:00:52 GMT-0500 (EST)